Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.registry
Interface RegistryContext

All Known Subinterfaces:
  DOMSource, FileReaderSource, FileWriterSource, FilterSource, InputStreamSource, ObjectSource, OutputStreamSource, ReaderSource, SAXSource, VirtualFileReaderSource, VirtualFileWriterSource, WriterSource

All Known Implementing Classes:
  AdditionalNodeFieldsEditor, And, Application, Argument, Array, AttributeItem, BillboardPlugin, Block, BooleanEditor, ButtonEditor, CheckBoxItem, ChoiceGroup, ClassicVRMLExport, CommandItem, CompilationFilter, CompositeEditor, ConfigureInstance, ContourFilter, CreateMap, CSVWriter, Directory, DOMSourceImpl, DTDFilter, DTDSourceFile, DTDSourceFile.Loader, DTGFilter, EnumerationEditor, ExcelWriter, ExchangeGraphPlugin, Executable, Exists, ExplorerFactory, ExportModule, Expression, ExtensionItem, FileFactory, FileObjectItem, FileSource, FileTypeItem, FilterBase, FilterItem, FilterSourceBase, First, FloatConst, FloatingWindow, ForAll, FunctionFilter, FunctionReader, GPUFlux, GraphMLReader, GraphReader, GraphXMLSource, Group, GSReader, GSWriter, GSZReader, GSZWriter, GUnzipFilter, GZipFilter, Hook, HTMLWriter, ImageReader, ImageWriter, IMP, IMP3D, ImportModule, IMPWorkbench, InitializeClass, InputStreamSourceImpl, Insert, InstanceOf, IntConst, Item, ItemFactory, JavaFilter, Layout, LazyFilter, LazyObjectItem, Library, Link, LSYFilter, LSystem, LuminanceFilter, MainWindow, MethodEditor, MimeTypeItem, MSMLProjectLoader, MSMLReader, MSMLWriter, MTGExport, MTGFilter, MTGLoader, MTGReader, MTGSourceFile, MTGSourceFile.Loader, NodeReference, Not, NullConst, NullResourceFilter, NullSource, NumberEditor, NumericEditor, ObjectExpr, ObjectItem, ObjectItemFactory, ObjectSourceImpl, OpenAleaPlugin, Option, OptionExplorerFactory, OptionGroup, Or, PanelFactory, PDFWriter, PlainTextWriter, Plugin, PluginDescriptor, PluginPrerequisite, PointConst, PolyEditor, Prerequisite, PropertyEditor, ReaderSourceImpl, Registry, RegistryAdapter, RegistryReader, Resource, ResourceDirectory, RGG, RGGFilter, Root, SAXFilterBase, SAXSourceBase, SceneGraphExport, SelectableItem, Separator, SetVar, SharedValue, ShellFilter, SMBFilter, SONodeReference, SourceFile, SourceFile.Loader, SPDFilter, Split, StreamAdapter, StringConst, StringEditor, SurfaceFilter, Tab, ToolBarFactory, ToolFactory, TypeItem, UI, UIPropertyDependency, UITreePipeline, UserFieldsEditor, Value, Var, Vars, ViewComponentFactory, Void, VRML97Export, Workbench, X3DExport, X3DImport, X3DPlugin, XFrogFilter, XFrogProjectLoader, XLFilter, XMLPatchReader, XMLReaderBase, XMLTableReader, XMLWriter, XSLTFilter, XSLTFilterItem

    public interface RegistryContext

This simple interface is used for classes whose instances are associated with a `Registry`.

Author:
  Ole Kniemeyer

Method Summary
`Registry` | `getRegistry()` Returns the `Registry` which is linked with this instance.

Method Detail

### getRegistry

    Registry getRegistry()

  Returns the `Registry` which is linked with this instance.

  Returns:
    the registry linked with this instance

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD